using BS.Shared.DataContracts;

namespace BeWo.ViewModel
{
	public class AuszahlungsartVM : AbstractDCMapperVM<AuszahlungsartDC>
	{
		public static string PropertyName_Name = "Name";
		private string _Name;

		public string Name
		{
			get { return _Name; }
			set
			{
				if (AreDifferent(_Name, value))
				{
					_Name = value;
				}
			}
		}

		public AuszahlungsartVM(AuszahlungsartDC pDC) : base(pDC, pDC.AuszahlungsartOid == null)
		{
		}

		protected override void InitByDataContract(AuszahlungsartDC pDataContract)
		{
			if (IsNew) return;

			Name = pDataContract.Name;
		}

		protected override AuszahlungsartDC MapToDataContract(AuszahlungsartDC pDataContract, bool doCommit)
		{
			pDataContract.Name = Name;

			return pDataContract;
		}
	}
}
